%global minorversion 1.3
%global xfceversion 4.16
%global _hardened_build 1

Name:           xfce4-mailwatch-plugin
Version:        1.3.1
Release:        1
Summary:        Mail Watcher plugin for the Xfce panel
License:        GPLv2
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  exo-devel >= 0.7.2
BuildRequires:  gnutls-devel >= 1.2.0
BuildRequires:  libgcrypt-devel >= 1.2.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       xfce4-panel >= %{xfceversion}

%description
Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox mail watcher for
the Xfce4 panel. It can display a notification when new mail is received.

It has support for local (mailbox, maildir and MH-maildir) mail, POP3/POP3S
and IMAP/IMAPS servers as well as GMail.

%prep
%autosetup
# Fix icon in 'Add new panel item' dialog
sed -i 's|Icon=xfce-mail|Icon=mail-unread|g' panel-plugin/mailwatch.desktop.in

%build
%configure
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 1.3.1-1
- Update to 1.3.1

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.3.0-1
- Update to 1.3.0

* Wed Jul 15 2020 <dillon.chen@turbolinux.com.cn> - 1.2.0-1
- Init package
